NodeAccountingMessageChecker (consumer-service 1.8.0-SNAPSHOT API)
Date: 2013-02-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.consumer.accounting
Class NodeAccountingMessageChecker

    java.lang.Object
      org.gcube.messaging.common.consumer.MessageChecker<org.gcube.messaging.common.messages.NodeAccountingMessage<org.gcube.messaging.common.messages.records.IntervalRecord>>
          org.gcube.messaging.common.consumer.accounting.NodeAccountingMessageChecker

    public class NodeAccountingMessageChecker

extends MessageChecker<org.gcube.messaging.common.messages.NodeAccountingMessage<org.gcube.messaging.common.messages.records.IntervalRecord>>

Author:
  AndreaManzi(CERN)

Field Summary
`static org.gcube.common.core.utils.logging.GCUBELog` | `logger` logger

Fields inherited from class org.gcube.messaging.common.consumer.MessageChecker
`scope`

Constructor Summary
`NodeAccountingMessageChecker(org.gcube.common.core.scope.GCUBEScope scope)`

Method Summary
`void` | `check(org.gcube.messaging.common.messages.NodeAccountingMessage<org.gcube.messaging.common.messages.records.IntervalRecord> msg)` check and store the message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static org.gcube.common.core.utils.logging.GCUBELog logger

  logger

Constructor Detail

### NodeAccountingMessageChecker

    public NodeAccountingMessageChecker(org.gcube.common.core.scope.GCUBEScope scope)

Method Detail

### check

    public void check(org.gcube.messaging.common.messages.NodeAccountingMessage<org.gcube.messaging.common.messages.records.IntervalRecord> msg)

  check and store the message

  Specified by:
    `check` in class `MessageChecker<org.gcube.messaging.common.messages.NodeAccountingMessage<org.gcube.messaging.common.messages.records.IntervalRecord>>`
  Parameters:
    `message` - the message
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.